Missing template projects/_members_box.erb in view path app/views
Status: Closed Start date: 2011-05-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I just installed Redmine and added a first project to it. When I try to go to the project's page (i.e. <hostname>/project/<projectname>),

I get a 500 error. This is the error in production.log:

Processing ProjectsController#show (for my.ip.goes.here at 2011-05-05 15:36:08) [GET]

  Parameters: {"action"=>"show", "id"=>"my_project_name_here", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/show

ActionView::TemplateError (Missing template projects/_members_box.erb in view path app/views) on l

ine #54 of app/views/projects/show.rhtml:

51: </div>

52:

53: <div class="splitcontentright">

54:   <%= render :partial => 'members_box' %>

55:

56:   <% if @news.any? && authorize_for('news', 'index') %>

57:   <div class="news box">

    app/views/projects/show.rhtml:54:in `_run_rhtml_app47views47projects47show46rhtml'

    app/controllers/projects_controller.rb:165:in `show'

Rendering /home/redmine/programs/redmine/1.1.3/public/500.html (500 Internal Server Error)

 The file "_members_box.html.erb" is at "/home/redmine/programs/redmine/1.1.3/app/views/projects/".

Here is the output of "RAILS_ENV=production ruby script/about":

About your application's environment

Ruby version              1.8.7 (armv5tel-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /home/redmine/programs/redmine/1.1.3

Environment               production

Database adapter          sqlite3

Database schema version   20101114115359

 Everything was installed from scratch according to the guide on this website. All other things seem to work (as far as I can test them).

History

#1 - 2011-05-05 16:58 - Anthony VH

- Status changed from New to Resolved

Apparently, this error (and some others I encountered in the meantime) where all due to some incompatibilities with GCC 4.4. The recompilation
solution given on on the next page solved everything: http://www.ruby-forum.com/topic/210647.

#2 - 2011-08-15 18:34 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
